Frage von hanni1801, 64

java.lang.NullPointerException?

Mein Minecraft-Server stürzt immer ab und es kommt folgendes:

[18:04:53] [Server thread/ERROR]: Encountered an unexpected exception java.lang.NullPointerException at ss.g(SourceFile:132) ~[vanilla-minecraft1.8.jar:?] at pn.z(SourceFile:99) ~[vanilla-minecraft1.8.jar:?] at pn.(SourceFile:25) ~[vanilla-minecraft1.8.jar:?] at po.i(SourceFile:171) ~[vanilla-minecraft1.8.jar:?] at net.minecraft.server.MinecraftServer.run(SourceFile:417) [vanilla-minecraft1.8.jar:?] at java.lang.Thread.run(Thread.java:745) [?:1.8.0_72]

Weis jemand was das bedeutet?

LG Johannes

Antwort
von TheBigWini, 54

Also vom Fehlertext her würd ich sagen, dass da ein Fehler in der Programmierung ist. NullPointerExceptions sind normalerweise Fehler, bei denen ein Befehl ins Leere läuft, also etwas fehlt. Der Rest sind Angaben, wo der Fehler aufgetreten ist.

Kommentar von hanni1801 ,

Und wo in der Programmierung ??

Kommentar von ACACE ,

Die befindet sich in der Bukkit/Spigot.jar über die der Server läuft

Antwort
von ACACE, 62

Dies ist ein Fehler von der Bukkit Version, die du nutzt.

Bukkit im Webinterface updaten.

Kommt drauf an bei welchem Serveranbieter du bist


Kommentar von hanni1801 ,

RAMsch-server.eu ?! Aber Spigot und Bukkit is dasselbe oder ?

Thx für die Antwort

Kommentar von hanni1801 ,

Und in meinem Minecraft-Client steht "Old"

Kommentar von ACACE ,

Naja. Bukkit und Spigot kann man nicht so ganz vergleichen. Prinzipiell das selbe nur mit ner verschiedenen Syntax. Aber sogesehen macht es keinen Unterschied ob du deinen Server über Bukkit oder Spigot laufen lässt. Wenn wir zu Plugin hinüber gehen: Bukkit Plugins funktionieren auf Spigot Server und umgekehrt genauso. Also sehe ich da keinen Unterschied ;)

Wenn das immernoch nicht funktioniert, versuche deinem Server mehr RAM zuzuweisen ;)

Kommentar von ACACE ,

Benutzt du einen Hacked Client oder wirklich den normalen Minecraft.net Client? Ansonsten einfach Minecraft deinstallieren und es von Minecraft.net wieder  neu herunterladen

Kommentar von hanni1801 ,

Nomaler Standard-Client

Kommentar von hanni1801 ,

Lade mir gerade die Spigot-1.8.8.jar runter... von getspigot.org

die sollte dann theoretisch gehen der ?

Kommentar von ACACE ,

Eigentlich schon ja. Willst du den Server Local laufen lassen oder hast du einen Serveranbieter?

Kommentar von hanni1801 ,

Ich bin gerade bei Dathosting.eu und bei ramsch-server.de (die ziehen gerade zu squote.de) weil ich habe meine Server mit bungeecord verbunden...

Kommentar von ACACE ,

Ich kenne leider die beiden Hoster nicht, aber schau mal ansonsten im Webinterface deiner Server. Vielleicht kannst du dort auch die Version updaten.

Keine passende Antwort gefunden?

Fragen Sie die Community

Weitere Fragen mit Antworten